---
title: "Get a data by marketId"
url: "https://developer.argaam.com/apis/market-data-layer-api-production-v1/versions/ca86b5b0-4709-486f-b41b-f80ad96b0d25/operations/getSectorsDataByMarketId"
---

> Full API specification: https://developer.argaam.com/apis/market-data-layer-api-production-v1/versions/ca86b5b0-4709-486f-b41b-f80ad96b0d25.md

# Get a data by marketId

`GET` `/api/v1.1/sectors/data/{marketId}`

Operation ID: `getSectorsDataByMarketId`

Returns the data identified by `marketId`.

## Path parameters

- `marketId` (integer, int32, required) - Numeric market identifier (e.g. `1` = Tadawul / Saudi main market). Use `GET /api/v1.1/markets` to list valid values.

## Query parameters

- `sectorId` (integer, int32, optional) - Numeric sector identifier. Use the sector endpoints to list valid values.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Market Data Layer API
  version: v1.1
servers:
  - url: https://api.argaam.com
    description: Argaam API Gateway (Production)
paths:
  /api/v1.1/sectors/data/{marketId}:
    get:
      tags:
        - Sectors
      parameters:
        - name: marketId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Numeric market identifier (e.g. `1` = Tadawul / Saudi main market).
            Use `GET /api/v1.1/markets` to list valid values.
          example: 3
        - name: sectorId
          in: query
          schema:
            type: integer
            format: int32
          description: Numeric sector identifier. Use the sector endpoints to list valid
            values.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/SectorData"
      summary: Get a data by marketId
      description: Returns the data identified by `marketId`.
      operationId: getSectorsDataByMarketId
security:
  - ApiKeyAuth: []
components:
  schemas:
    SectorData:
      type: object
      properties:
        marketID:
          type: integer
          format: int32
        sectorID:
          type: integer
          format: int32
        bid:
          type: string
          nullable: true
        tradingDate:
          type: string
          nullable: true
        openValue:
          type: number
          format: double
          nullable: true
        closeValue:
          type: number
          format: double
          nullable: true
        high:
          type: number
          format: double
          nullable: true
        low:
          type: number
          format: double
          nullable: true
        change:
          type: number
          format: double
          nullable: true
        volume:
          type: number
          format: double
          nullable: true
        amount:
          type: number
          format: double
          nullable: true
        percentageChange:
          type: number
          format: double
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
